/*
 * @Author: WuXiangNan
 * @Date: 2021-02-21 09:27:45
 * @LastEditTime: 2021-04-16 09:49:14
 * @LastEditors: WuXiangNan
 * @Description: 定位打卡内容
 */
import './location_clock_model.dart';

class ClockWayContentModel {
  List<LocationClockModel>? locationClock;
  // double distance;

  ClockWayContentModel({
    this.locationClock,
    // this.distance,
  });

  ClockWayContentModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    locationClock = List<LocationClockModel>.from((map['locationClock'] ?? [])
        .map((e) => LocationClockModel.fromJson(e)));
    // distance = map['distance'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['locationClock'] =
        List<dynamic>.from((locationClock ?? []).map((x) => x.toJson()));
    // json['distance'] = this.distance;

    return json;
  }
}
